Package ru.bitel.bgbilling.modules.email.common.bean

# Class Domain

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.email.common.bean.Domain

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`

public class Domain extends Id implements GuiTitlable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Domain.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Domain()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Domain.Builder`
  `builder()`
  `String`
  `getComment()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getName()`
  `ParameterMap`
  `getParameterMap()`
  `String`
  `getParams()`
  `int`
  `getPos()`
  `void`
  `inherit(Domain domain)`
  `void`
  `setComment(String comment)`
  `void`
  `setName(String name)`
  `void`
  `setParams(String params)`
  `void`
  `setPos(int pos)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Domain

    public Domain()

- ## Method Details

  - ### getName

    public String getName()

  - ### getParams

    public String getParams()

  - ### setName

    public void setName(String name)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### setParams

    public void setParams(String params)

  - ### getParameterMap

    public ParameterMap getParameterMap()

  - ### inherit

    public void inherit(Domain domain)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### getPos

    public int getPos()

  - ### setPos

    public void setPos(int pos)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### builder

    public static Domain.Builder builder()